﻿using C1.Win.Chart;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexChartLineStyle
{
    public partial class Form1 : Form
    {
        ObservableCollection<DataPoint> DataPoints;
        public Form1()
        {
            InitializeComponent();
            var random = new Random();
            DataPoints = new ObservableCollection<DataPoint>();
            for(int i=0;i<10;i++)
                DataPoints.Add(new DataPoint() { X=i, Y=random.Next(0,10) });

            //Flexchart
            flexChart1.ChartType = C1.Chart.ChartType.Line;
            flexChart1.BindingX = "X";
            flexChart1.Series.Clear();
            flexChart2.ChartType = C1.Chart.ChartType.Line;
            flexChart2.BindingX = "Y";
            flexChart2.Series.Clear();

            var series = new Series();
            series.Binding = "Y";
            flexChart1.Series.Add(series);

            var series1 = new Series();
            series1.Binding = "X";
            flexChart2.Series.Add(series1);

            flexChart1.DataSource = DataPoints;
            flexChart2.DataSource = DataPoints;
        }
    }

    public class DataPoint
    {
        public int X { get; set; }
        public int Y { get; set; }

    }
}
